# Maintainer: Antoni Aloy Torrens <antoni.aloytorrens@gmail.com>
pkgname='meowsql'
_pkgname='meow-sql'
pkgver='0.4.17'
pkgrel='0'
pkgdesc="HeidiSQL port to C++/Qt"
arch=('amd64' 'i386' 'arm64' 'armhf' 'armel')
LICENSE=('GPL2')
makedepends=('git' 'qtbase5-dev' 'qt5-qmake' 'libmariadb-dev' 'libmariadb-dev-compat' 'libpq-dev')
depends=('libqt5core5a' 'libqt5dbus5' 'libqt5gui5' 'libqt5network5' 'libqt5printsupport5' 'libqt5sql5' 'libqt5concurrent5' 'mariadb-client' 'postgresql-client' 'hicolor-icon-theme')
url="https://github.com/ragnar-lodbrok/meow-sql"
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ragnar-lodbrok/meow-sql/archive/refs/tags/v${pkgver}-alpha.tar.gz")
sha256sums=('bb76cc3c39cddf5bc3702688f90b04dccd87ab2981905f59d3ba759a4a32cfbc')

build() {
	cd "${srcdir}/${_pkgname}-${pkgver}-alpha"
	find . -type f -exec sed -i "s/<mysql\/mysql.h>/<mariadb\/mysql.h>/g" {} \;
	find . -type f -exec sed -i "s/\-lmysqlclient/\-lmariadbclient/g" {} \;
	qmake meowsql.pro
	make
}

package() {
	cd "${srcdir}/${_pkgname}-${pkgver}-alpha"
	msg2 "Setting up data..."
	install -D -m755 ${pkgname} ${pkgdir}/usr/bin/${pkgname}
	install -D -m644 ${pkgname}.svg ${pkgdir}/usr/share/icons/hicolor/scalable/apps/${pkgname}.svg
	install -D -m644 ${pkgname}.png ${pkgdir}/usr/share/icons/hicolor/256x256/apps/${pkgname}.png
	install -D -m644 ${pkgname}.desktop ${pkgdir}/usr/share/applications/${pkgname}.desktop
}
